#ifndef _GLYPHS
#define _GLYPHS


//======================================================================


GLuint g_display_list1000 = 0;
float *glyphs_buffer = NULL;


void init_glyphs(float *g, float *c)
{
int ix,iy,iz;
float sx,sy,sz;
float dx,dy,dz;

dx =  2.0 / (float)DIM_X;
dy =  2.0 / (float)DIM_Y;
dz = -2.0 / (float)DIM_Z;

g_display_list1000 = glGenLists( 1 );
glNewList( g_display_list1000, GL_COMPILE );

glPushAttrib(GL_ALL_ATTRIB_BITS);

glDisable(GL_DEPTH_TEST);
glDisable(GL_LIGHTING);
glDisable(GL_TEXTURE_1D);

glBegin(GL_LINES);

for(iz=0, sz=1.0; iz<DIM_Z; iz++,sz+=dz)
 for(iy=0, sy=-1.0; iy<DIM_Y; iy++, sy+=dy)
	 for(ix=0, sx=-1.0; ix<DIM_X; ix++, sx+=dx)
	 {
		 float val = *c * g_minmax_k*.5;
		 glColor4f(val, 1.0-val, 0, .8);
		 glVertex3f( sx, sy, sz );
		 glVertex3f( g[0]*100.0 + sx, 
			           g[1]*100.0 + sy, 
								 g[2]*100.0 + sz );
		  g+=6;
			c++;
	 }


glEnd();


glPopAttrib();

glEndList();

}





#endif
